import "core-js/modules/es.function.name";
import { defineComponent, mergeProps, createVNode } from "vue";
import { TinyLine } from '@antv/g2plot';
import BaseChart from '../../components/base';
var TinyLineChart = defineComponent({
  name: 'TinyLineChart',
  setup: function setup(props, ctx) {
    return function () {
      return createVNode(BaseChart, mergeProps({
        "chart": TinyLine
      }, ctx.attrs, props), null);
    };
  }
});
/* istanbul ignore next */

TinyLineChart.install = function (app) {
  app.component(TinyLineChart.name, TinyLineChart);
};

export default TinyLineChart;