"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

require("core-js/modules/es.function.name");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _vue = require("vue");

var _g2plot = require("@antv/g2plot");

var _base = _interopRequireDefault(require("../../components/base"));

var AreaChart = (0, _vue.defineComponent)({
  name: 'AreaChart',
  setup: function setup(props, ctx) {
    return function () {
      return (0, _vue.createVNode)(_base.default, (0, _vue.mergeProps)({
        "chart": _g2plot.Area
      }, ctx.attrs, props), null);
    };
  }
});
/* istanbul ignore next */

AreaChart.install = function (app) {
  app.component(AreaChart.name, AreaChart);
};

var _default = AreaChart;
exports.default = _default;