import "core-js/modules/es.function.name";
import { defineComponent, mergeProps, createVNode } from "vue";
import { Bar } from '@antv/g2plot';
import BaseChart from '../../components/base';
var BarChart = defineComponent({
  name: 'BarChart',
  setup: function setup(props, ctx) {
    return function () {
      return createVNode(BaseChart, mergeProps({
        "chart": Bar
      }, ctx.attrs, props), null);
    };
  }
});
/* istanbul ignore next */

BarChart.install = function (app) {
  app.component(BarChart.name, BarChart);
};

export default BarChart;