import "core-js/modules/es.function.name";
import { defineComponent, mergeProps, createVNode } from "vue";
import { Rose } from '@antv/g2plot';
import BaseChart from '../../components/base';
var RoseChart = defineComponent({
  name: 'RoseChart',
  setup: function setup(props, ctx) {
    return function () {
      return createVNode(BaseChart, mergeProps({
        "chart": Rose
      }, ctx.attrs, props), null);
    };
  }
});
/* istanbul ignore next */

RoseChart.install = function (app) {
  app.component(RoseChart.name, RoseChart);
};

export default RoseChart;