import "core-js/modules/es.function.name";
import { defineComponent, mergeProps, createVNode } from "vue";
import { TinyArea } from '@antv/g2plot';
import BaseChart from '../../components/base';
var TinyAreaChart = defineComponent({
  name: 'TinyAreaChart',
  setup: function setup(props, ctx) {
    return function () {
      return createVNode(BaseChart, mergeProps({
        "chart": TinyArea
      }, ctx.attrs, props), null);
    };
  }
});
/* istanbul ignore next */

TinyAreaChart.install = function (app) {
  app.component(TinyAreaChart.name, TinyAreaChart);
};

export default TinyAreaChart;