import { RadarOptions } from '@antv/g2plot';
import { BaseChartProps } from '../../components/base';
export declare type RadarChartProps = Omit<BaseChartProps<RadarOptions>, 'chart'> & RadarOptions;
declare const RadarChart: import("vue").DefineComponent<RadarChartProps, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, import("vue").EmitsOptions, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    class: any;
    xAxis: any;
    yAxis: any;
} & {
    width?: number | undefined;
    height?: number | undefined;
    padding?: number | number[] | "auto" | undefined;
    appendPadding?: number | number[] | undefined;
    renderer?: "canvas" | "svg" | undefined;
    pixelRatio?: number | undefined;
    autoFit?: boolean | undefined;
    syncViewPadding?: boolean | import("@antv/g2/lib/interface").SyncViewPaddingFn | undefined;
    supportCSSTransform?: boolean | undefined;
    style?: string | import("vue").CSSProperties | undefined;
    color?: string | string[] | ((datum: Record<string, any>) => string) | undefined;
    chartRef?: import("vue").Ref<import("@antv/g2plot").Plot<RadarOptions> | null> | undefined;
    data?: Record<string, any>[] | undefined;
    area?: import("@antv/g2plot/lib/adaptor/geometries/base").MappingOptions | undefined;
    label?: false | ({
        readonly fields?: string[] | undefined;
        readonly callback?: import("@antv/g2/lib/interface").LabelCallback | undefined;
        readonly formatter?: string | import("@antv/g-base").IGroup | import("@antv/g-base").IShape | import("@antv/g2/lib/interface").GeometryLabelContentCallback | undefined;
    } & import("@antv/g2/lib/interface").GeometryLabelCfg) | undefined;
    legend?: false | import("@antv/g2/lib/interface").LegendCfg | undefined;
    meta?: unknown;
    localRefresh?: boolean | undefined;
    theme?: unknown;
    tooltip?: false | import("@antv/g2plot").TooltipOptions | undefined;
    slider?: boolean | import("@antv/g2/lib/interface").SliderCfg | undefined;
    scrollbar?: boolean | import("@antv/g2/lib/interface").ScrollbarCfg | undefined;
    animation?: false | import("@antv/g2/lib/interface").AnimateOption | undefined;
    interactions?: import("@antv/g2plot/lib/types/interaction").Interaction[] | undefined;
    annotations?: import("@antv/g2plot/lib/types/annotation").Annotation[] | undefined;
    state?: import("@antv/g2/lib/interface").StateCfg | undefined;
    point?: import("@antv/g2plot/lib/adaptor/geometries/base").MappingOptions | undefined;
    xField?: string | undefined;
    yField?: string | undefined;
    seriesField?: string | undefined;
    smooth?: boolean | undefined;
    radius?: number | undefined;
    lineStyle?: import("@antv/g-base").ShapeAttrs | ((x: any, y: any, series?: any) => import("@antv/g-base").ShapeAttrs) | undefined;
}>, {
    class: any;
    xAxis: any;
    yAxis: any;
}>;
export default RadarChart;
